//classe angle

import java.text.DecimalFormat;

public class angle {

 double valeur;
 
 public angle() {
  valeur=0;
 }
 
 public angle(double ini) {
  valeur=ini;
  recadre();
 }
 
 /**
  mthode qui ramne la valeur entre 0 et 360
 */ 
 public void recadre() {
  if (valeur<0.0) do {
   valeur=valeur+360;
   }while (valeur<0);
  if (valeur>=360.0) do {
   valeur=valeur-360;
   }while (valeur>=360);
 }
 
 /**
  mise en forme pour affichage
  */
 public String toString() {
  DecimalFormat f=new DecimalFormat();
  return f.format(valeur)+"";
  //return valeur+"";
 }
 
 /**
  mthode de conversion en radians
 */
 public double toRadian() {
  return valeur*Math.PI/180.0;
 }
 
 /**
  addition
 */
 public void ajouter(angle a) {
  valeur=valeur+a.valeur;
  recadre();
 } 
 
 /**
  multiplication par un entier
 */ 
 public void multiplier(int n) {
  valeur=valeur*n;
  recadre();
 }
 
 /**
  fonctions trigo.
 */ 
 public double sinus() {
  return Math.sin(toRadian());
 }
 
 public double cosinus() {
  return Math.cos(toRadian());
 }
 
 public double tangente() {
  return Math.tan(toRadian());
 }
 
}